unit thy_about;

interface

uses Windows, LCDate, StdCtrls, ExtCtrls, Controls, Classes, mdURLLabel, Forms,
  LanManager;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    OKButton: TButton;
    Memo1: TMemo;
    MoreBtn: TButton;
    LCDate1: TLCDate;
    Label1: TLabel;
    InfoText: TStaticText;
    ContBtn: TButton;
    mdURLLabel1: TmdURLLabel;
    Label2: TLabel;
    Label3: TLabel;
    mdURLLabel2: TmdURLLabel;
    Label4: TLabel;
    mdURLLabel3: TmdURLLabel;
    mdURLLabel4: TmdURLLabel;
    Label5: TLabel;
    mdURLLabel5: TmdURLLabel;
    Button1: TButton;
    LS1: TLanStorage;
    procedure Timer1Timer(Sender: TObject);
    procedure ProductNameClick(Sender: TObject);
    procedure MoreBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ContBtnClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure LS1CanChangeComponent(Sender: TObject;
      aComponent: TComponent; var CanChange: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  published
  end;

var
  AboutBox: TAboutBox;

procedure ShowAbout;

implementation

uses
  SysUtils, Dialogs, Thy_Main, thy_lanConsts;

{$R *.DFM}

procedure ShowAbout;
begin
  AboutBox.ShowModal;
end;

procedure TAboutBox.Timer1Timer(Sender: TObject);
begin
  Memo1.SelStart := Memo1.SelStart + 1;
end;

procedure TAboutBox.ProductNameClick(Sender: TObject);
begin
  ShowMessage('Don''t click on me! I''m just a poor label.');
end;

procedure TAboutBox.MoreBtnClick(Sender: TObject);
begin
  Label1.Caption := '(' + lS1[sCmpld] + ': ' + DateTimeToStr(lCDate1.LCDate) + ')';
  Label1.Visible := True;
  Memo1.Visible := True;
  MoreBtn.Visible := False;
  ContBtn.Visible := True;
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
  InfoText.Caption := lS1[sCastle] + ': '+fMain.CompName + #10 + lS1[sKnight] + ': ' + fMain.UserName;
end;

procedure TAboutBox.ContBtnClick(Sender: TObject);
begin
  Height := 330;
  ContBtn.Visible := False;
end;

procedure TAboutBox.Button1Click(Sender: TObject);
begin
  Label1.Caption := '';
  Memo1.Visible   := False;
  MoreBtn.Visible := True;
  ContBtn.Visible := False;
  Height := 276;
end;

procedure TAboutBox.LS1CanChangeComponent(Sender: TObject;
  aComponent: TComponent; var CanChange: Boolean);
begin
  CanChange := (aComponent <> Memo1) and
	       (aComponent <> Label1) and
	       (aComponent <> Label2) and
	       (aComponent <> Label3) and
	       (aComponent <> Label4) and
	       (aComponent <> Label5) and
	       (aComponent <> mdURLLabel1) and
	       (aComponent <> mdURLLabel2) and
	       (aComponent <> mdURLLabel3) and
	       (aComponent <> mdURLLabel4) and
	       (aComponent <> mdURLLabel5) and
	       (aComponent <> ProductName) and
	       (aComponent <> InfoText) and
	       (aComponent <> Version);
end;

end.

