unit thy_whowhere;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, Menus, LanManager;

type
  TfWhoWhere = class(TForm)
    LV1: TListView;
    PM1: TPopupMenu;
    Refreshthisinfo1: TMenuItem;
    Refreshusers1: TMenuItem;
    Ls1: TLanStorage;
    procedure Refreshthisinfo1Click(Sender: TObject);
    procedure Refreshusers1Click(Sender: TObject);
  private
    { Private declarations }
    procedure RefreshThis;
    procedure RefreshUsers;
  public
    { Public declarations }
  end;

var
  fWhoWhere: TfWhoWhere;

implementation

uses
  thy_main, nb30, NetBiosUtils, thy_lanconsts;

{$R *.DFM}

procedure TfWhoWhere.RefreshThis;
var
  i: Integer;
  S: tStrings;
  j: Integer;
  Z: Integer;
  U: string;
  D: string;
  A: Integer;
begin
  Caption := lS1[sRPW];
  S := tStringList.Create;
  with LV1.Items do try
    //BeginUpdate;
    Clear;
    for i := 0 to fMain.fUsers.Count - 1 do begin
      with LV1.Items.Add do begin
	Caption := fMain.fUsers[i];
	S.Clear;
	U := lS1[sNBD];
	D := lS1[sNA];
	if (nbStat(Caption, S) = NRC_GOODRET) then
	  for j := 0 to S.Count - 1 do begin
	    Z := Integer(S.Objects[j]);
	    if ((Z and $FF) = 3) then U := S[j];
	    if ((Z and $FF) = $1E) then D := S[j];
	  end
	else U := lS1[sTRNOFF];
	SubItems.Add(U);
	U := lS1[sNON];
	if (nbFindName(Caption, A) = NRC_GOODRET) and (A > 0) then begin
	  U := '';
	  for j := 1 to 4 do
	    U := U + '.' + IntToStr(A shr ((j - 1) shl 3) and $FF);
	  System.Delete(U, 1, 1);
	end;
	SubItems.Add(U);
	SubItems.Add(D);
      end;
      Application.ProcessMessages;
    end;
  finally
    //EndUpdate;
    S.Free;
    Caption := lS1[sWW];
  end;
end;

procedure TfWhoWhere.RefreshUsers;
begin
  Caption := lS1[sRPW];
  fMain.RefreshUsers;
  Caption := lS1[sWW];
  RefreshThis;
end;

procedure TfWhoWhere.Refreshthisinfo1Click(Sender: TObject);
begin
  RefreshThis;
end;

procedure TfWhoWhere.Refreshusers1Click(Sender: TObject);
begin
  RefreshUsers;
end;

end.
